Subject: [Megaco] wildcard response

From: Raphael Tryster <[email-masked]>
Date: Sun, 20 Jan 2002 09:42:20 +0200

This is a part of a thread that stopped in September 2000, but it is not
clear to me how it was resolved.  What Brian wrote agrees with the ABNF, and
what Tom and John wrote is consistent with section 6.2.2, but they
contradict each other.  The thread ended with this, seeming to imply
agreement with Tom and John, but I do not see that the ABNF was amended to
allow lists at the parameter value level.

Raphael Tryster

Message-ID:  <[email-masked]>
Date:         Wed, 6 Sep 2000 11:10:07 +0200
Reply-To: John Segers <[email-masked]>
Sender: "Media Gateway Control (megaco)"
<[email-masked]>
From: John Segers <[email-masked]>
Organization: Lucent Technologies
Subject:      Re: Transaction Reply Context=ALL, wilcard response
To: [email-masked]
Content-Transfer-Encoding: 7bit

Tom,

This is my understanding as well.  Relevant text appears in section
6.2.2:
        If individual responses are not required, a wildcard response
        may be requested.  In such a case, a single response is
        generated, which contains the UNION of all of the individual
        responses which otherwise would have been generated, with
        duplicate values suppressed.  For instance, given a Termination
        Ta with properties p1=a, p2=b and Termination Tb with
        properties p2=c, p3=d, a UNION response would consist of a
        wildcarded TerminationId and the sequence of properties p1=a,
        p2=b,c and p3=d.

Cheers,

John

Tom-PT Taylor wrote:
>
> I always understood the intent of "W-" to mean that the response would
show
> unions at the most atomic level (i.e. per-parameter).  In other words, it
> was meant to show the range of values supported, not something
intelligible
> on a per-session basis.  I have to admit that it isn't necessarily clear
> what a "parameter" is in SDP (i.e.) would all "a=fmtp:" be collapsed into
> one list?
>
> > -----Original Message-----
> > From: Shalini Philip [mailto:[email-masked]]
> > Sent: Tuesday, September 05, 2000 4:21 AM
> > To: [email-masked]
> > Subject: Re: Transaction Reply Context=ALL, wilcard response
> >
> >
> > Hello Brian, Christian & list.
> >
> >         The example given below shows multiple Statistics
> > descriptors in
> > the descriptor list for a command reply. I believe,
> > the common understanding is that only the digit map descriptor and the
> > error descriptors are the only two descriptors
> > which can be repeated. If other descriptors can also be repeated, then
> > we can have multiple Mux descriptors, if the
> > MG supports multiple MUX types.
> > Also since it is not feasible to take the union of SDP definitions in
> > local and remote descriptors, I guess we can even have
> > multiple local and remote descriptors , or do we put them as multiple
> > SDP definitions in the same local/remote descriptor.
> >
> > Thanks & Regards,
> >   Shalini Philip.
> >
> >
> > "Rosen, Brian" wrote:
> >
> > >  I don't think you can do a subtract with CHOOSE.
> > > You could use ALL, but not choose.
> > >
> > > If you ask for a wildcard response, I think you get one response per
> > > value found, if they are different.  Since you get statistics on
> > > results, any identical statistics reports would only be
> > > repeated once.  So. assuming you used ALL, I'd expect:
> > > C=1{Subtract=*{Statistics{...}, Statistics{...}....}.
> > > C=2{...
> > > ....
> > >